commit:     b45cc52d1eb2fcb18a1cac8eb8984fd40e4678f1
Author:     Quincy Fleming <quincyf467 <AT> protonmail <DOT> com>
AuthorDate: Fri Nov  8 05:10:59 2024 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Nov  8 15:13:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b45cc52d

gui-wm/sway: add 1.10

Signed-off-by: Quincy Fleming <quincyf467 <AT> protonmail.com>
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 gui-wm/sway/Manifest         |   1 +
 gui-wm/sway/sway-1.10.ebuild | 113 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 114 insertions(+)

diff --git a/gui-wm/sway/Manifest b/gui-wm/sway/Manifest
index 0b3a254a2b8f..2684f107f9bd 100644
--- a/gui-wm/sway/Manifest
+++ b/gui-wm/sway/Manifest
@@ -1 +1,2 @@
+DIST sway-1.10.tar.gz 5581219 BLAKE2B 
c2b2bb0155b141faadc5946b65d25a8478bdf7647250d6bc47deb30aab33475b442e65d6740f30e2bd5ed91c2aeb8815b80fb41b812bf2995fb54444b4b5cc4e
 SHA512 
d5585fe85d8dfc66f12fc4a48f6883025b7906436f0f457094b6aff12896bdb85891aa0e95bbed5c64374d39a3078c8de097ca5959145251974aa29209bc5e07
 DIST sway-1.9.tar.gz 5581281 BLAKE2B 
11d90866e3d12a76880f41e006be5ae7f3a3b1e6cbeb2412d30b673be91be7f60523dcce2892579e1da76de1d0498e0669138aa953bf1f595b97123720812e06
 SHA512 
7ec0a29078eb7e0fb1b6af97613c263adec78ddb03a63cb75fb5e44c7241ed144687fd094ee2eb70f4397832ca9bdffc88bc32dee7683bf0e515417c7a05d4c4

diff --git a/gui-wm/sway/sway-1.10.ebuild b/gui-wm/sway/sway-1.10.ebuild
new file mode 100644
index 000000000000..8aad54a701c3
--- /dev/null
+++ b/gui-wm/sway/sway-1.10.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps meson optfeature
+
+DESCRIPTION="i3-compatible Wayland window manager"
+HOMEPAGE="https://swaywm.org";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/swaywm/${PN}.git";
+else
+       MY_PV=${PV/_rc/-rc}
+       SRC_URI="https://github.com/swaywm/${PN}/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+       S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+man +swaybar +swaynag tray wallpapers X"
+REQUIRED_USE="tray? ( swaybar )"
+
+DEPEND="
+       >=dev-libs/json-c-0.13:0=
+       >=dev-libs/libinput-1.26.0:0=
+       virtual/libudev
+       sys-auth/seatd:=
+       dev-libs/libpcre2
+       >=dev-libs/wayland-1.21.0
+       x11-libs/cairo
+       >=x11-libs/libxkbcommon-1.5.0:0=
+       x11-libs/pango
+       x11-libs/pixman
+       media-libs/libglvnd
+       swaybar? ( x11-libs/gdk-pixbuf:2 )
+       tray? ( || (
+               sys-apps/systemd
+               sys-auth/elogind
+               sys-libs/basu
+       ) )
+       wallpapers? ( gui-apps/swaybg[gdk-pixbuf(+)] )
+       X? (
+               x11-libs/libxcb:0=
+               x11-libs/xcb-util-wm
+       )
+"
+# x11-libs/xcb-util-wm needed for xcb-iccm
+if [[ ${PV} == 9999 ]]; then
+       DEPEND+="~gui-libs/wlroots-9999:=[X?]"
+else
+       DEPEND+="
+               >=gui-libs/wlroots-0.18:=[X?]
+               <gui-libs/wlroots-0.19:=[X?]
+       "
+fi
+RDEPEND="
+       x11-misc/xkeyboard-config
+       ${DEPEND}
+"
+BDEPEND="
+       >=dev-libs/wayland-protocols-1.24
+       >=dev-build/meson-0.60.0
+       virtual/pkgconfig
+"
+if [[ ${PV} == 9999 ]]; then
+       BDEPEND+="man? ( ~app-text/scdoc-9999 )"
+else
+       BDEPEND+="man? ( >=app-text/scdoc-1.9.3 )"
+fi
+
+FILECAPS=(
+       cap_sys_nice usr/bin/${PN} # bug 919298
+)
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature man man-pages)
+               $(meson_feature tray)
+               $(meson_feature swaybar gdk-pixbuf)
+               $(meson_use swaynag)
+               $(meson_use swaybar)
+               $(meson_use wallpapers default-wallpaper)
+               -Dfish-completions=true
+               -Dzsh-completions=true
+               -Dbash-completions=true
+       )
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       insinto /usr/share/xdg-desktop-portal
+       doins "${FILESDIR}/sway-portals.conf"
+}
+
+pkg_postinst() {
+       fcaps_pkg_postinst
+
+       optfeature_header "There are several packages that may be useful with 
sway:"
+       optfeature "wallpaper utility" gui-apps/swaybg
+       optfeature "idle management utility" gui-apps/swayidle
+       optfeature "simple screen locker" gui-apps/swaylock
+       optfeature "lightweight notification daemon" gui-apps/mako
+       echo
+       einfo "For a list of additional addons and tools usable with sway 
please"
+       einfo "visit the official wiki at:"
+       einfo "https://github.com/swaywm/sway/wiki/Useful-add-ons-for-sway";
+       einfo "Please note that some of them might not (yet) available on 
gentoo"
+}

Reply via email to